首页问答详情

请问一下,qt交叉编译选哪个版本好?

 
LAE
LAE  发布于  2018-08-31 14:57:54
采纳率 0%
22个问答
请问一下,qt交叉编译选哪个版本好?
我来回答
2042
0
0
回答
20个
易百纳技术社区
WKHJ 发布于2018-08-31 15:00:11
看编译器版本
0
易百纳技术社区
LAE 发布于2018-08-31 15:02:11
[quote][url=forum.php?mod=redirect&goto=findpost&pid=105263&ptid=51947]WKHJ 发表于 2018-8-31 15:00[/url]
看编译器版本[/quote]

v500,3519的
0
易百纳技术社区
WKHJ 发布于2018-08-31 15:03:21
[quote][url=forum.php?mod=redirect&goto=findpost&pid=105265&ptid=51947]LAE 发表于 2018-8-31 15:02[/url]
v500,3519的[/quote]

建议3519用Qt4.8
0
易百纳技术社区
WKHJ 发布于2018-08-31 15:04:08
[quote][url=forum.php?mod=redirect&goto=findpost&pid=105265&ptid=51947]LAE 发表于 2018-8-31 15:02[/url]
v500,3519的[/quote]

反正5.8以下都可以用
0
易百纳技术社区
LAE 发布于2018-08-31 15:13:03
貌似configure选项难配,大神有什么教程或者链接吗?
0
易百纳技术社区
epvm 发布于2018-08-31 15:14:36
[quote][url=forum.php?mod=redirect&goto=findpost&pid=105267&ptid=51947]WKHJ 发表于 2018-8-31 15:04[/url]
反正5.8以下都可以用[/quote]

为什么不用5.9的了
0
易百纳技术社区
WKHJ 发布于2018-08-31 15:16:53
[quote][url=forum.php?mod=redirect&goto=findpost&pid=105268&ptid=51947]LAE 发表于 2018-8-31 15:13[/url]
貌似configure选项难配,大神有什么教程或者链接吗?[/quote]

-h   选啊   :):):)
0
易百纳技术社区
WKHJ 发布于2018-08-31 15:17:46
[quote][url=forum.php?mod=redirect&goto=findpost&pid=105269&ptid=51947]epvm 发表于 2018-8-31 15:14[/url]
为什么不用5.9的了[/quote]

最好不要用5.9 ,你试试就知道了
0
易百纳技术社区
WKHJ 发布于2018-08-31 15:19:04
5.9 以上必须要支持C++11才可以
0
易百纳技术社区
LAE 发布于2018-08-31 15:20:11
[quote][url=forum.php?mod=redirect&goto=findpost&pid=105270&ptid=51947]WKHJ 发表于 2018-8-31 15:16[/url]
-h   选啊[/quote]

16M能放下么
0
易百纳技术社区
gqfj 发布于2018-08-31 15:21:35
QT随便用哪个版本都一样
0
易百纳技术社区
gqfj 发布于2018-08-31 15:22:28
4.X的也太老了吧
0
易百纳技术社区
WKHJ 发布于2018-08-31 15:25:04
[quote][url=forum.php?mod=redirect&goto=findpost&pid=105273&ptid=51947]LAE 发表于 2018-8-31 15:20[/url]
16M能放下么[/quote]

16M 只能用  4.8.6  或者  4.7.2
0
易百纳技术社区
epvm 发布于2018-08-31 15:27:01
[quote][url=forum.php?mod=redirect&goto=findpost&pid=105272&ptid=51947]WKHJ 发表于 2018-8-31 15:19[/url]
5.9 以上必须要支持C++11才可以[/quote]

海思的交叉编译也支持C++11吧
0
易百纳技术社区
gqfj 发布于2018-08-31 15:29:09
片子支持的话最好5.9
0
易百纳技术社区
gqfj 发布于2018-08-31 15:30:32
[quote][url=forum.php?mod=redirect&goto=findpost&pid=105272&ptid=51947]WKHJ 发表于 2018-8-31 15:19[/url]
5.9 以上必须要支持C++11才可以[/quote]

3519什么编译器 ,怎么可能不支持C++11,HISI300后的都支持
0
易百纳技术社区
epvm 发布于2018-08-31 15:34:03
[quote][url=forum.php?mod=redirect&goto=findpost&pid=105272&ptid=51947]WKHJ 发表于 2018-8-31 15:19[/url]
5.9 以上必须要支持C++11才可以[/quote]

V600的交叉编译,我记得支持C++11, 好像之前我写一个应用程序的时候用的C++11编译的
0
易百纳技术社区
WKHJ 发布于2018-08-31 15:36:33
[quote][url=forum.php?mod=redirect&goto=findpost&pid=105280&ptid=51947]epvm 发表于 2018-8-31 15:34[/url]
V600的交叉编译,我记得支持C++11, 好像之前我写一个应用程序的时候用的C++11编译的[/quote]

我之前用了3519V100 ,不支持C++11
0
易百纳技术社区
LAE 发布于2018-08-31 15:37:43
哈哈,都是大神啊
0
易百纳技术社区
hero 发布于2018-08-31 17:03:37
4.8就可以了:lol:lol:lol
0

Markdown 语法

  • 加粗 **内容**
  • 斜体 *内容*
  • 删除线 ~~内容~~
  • 引用 > 引用内容
  • 代码 `代码`
  • 代码块 ```编程语言↵代码```
  • 链接 [链接标题](url)
  • 无序列表 - 内容
  • 有序列表 1. 内容
  • 缩进 内容
  • 图片 ![alt](url)

Markdown 语法

  • 加粗 **内容**
  • 斜体 *内容*
  • 删除线 ~~内容~~
  • 引用 > 引用内容
  • 代码 `代码`
  • 代码块 ```编程语言↵代码```
  • 链接 [链接标题](url)
  • 无序列表 - 内容
  • 有序列表 1. 内容
  • 缩进 内容
  • 图片 ![alt](url)
+ 添加网盘链接/附件
或将文件直接拖到这里
悬赏:
EBC
网盘
* 网盘链接:
* 提取码:
悬赏:
EBC
相关问答
无更多相似问答 去提问
Loading...
易百纳技术社区
确定要删除此文章、专栏、评论吗?
确定
取消
易百纳技术社区
易百纳技术社区
在专栏模块发布专栏,可获得其他E友的打赏
易百纳技术社区
回答悬赏问答,被题主采纳后即可获得悬赏金
易百纳技术社区
在上传资料时,有价值的资料可设置为付费资源
易百纳技术社区
达到一定金额,收益即可提现~
收益也可用来充值ebc,下载资料、兑换礼品更容易
易百纳技术社区
活动规则
  • 1.周任务为周期性任务,每周周一00:00刷新,上周完成的任务不会累计到本周,本周需要从头开始任务,当前任务完成后才可以完成下一个任务
  • 2.发布的专栏与资料需要与平台的板块有相关性,禁止注水,专栏/资料任务以审核通过的篇数为准
  • 3.任务完成后,现金奖励直接打款到微信账户;EBC/收益将自动发放到个人账户,可前往“我的钱包”查看;其他奖励请联系客服兑换
  • 4.每周最后三个任务将会有以下奖品掉落:社区热卖开发板、小米音响、视频年度会员、京东卡、华为手机等等
易百纳技术社区
升级提醒
易百纳技术社区

恭喜您由入门

社区送出礼品一份

请填写您的收件地址,礼品将在3个工作日寄出

易百纳技术社区